package net.northking.cctp.executePlan.enums;

/**
 * <p>Title: HtmlSpaceEnum</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/11/30 11:20
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public enum HtmlSpaceEnum {
    /**
     * 不换行空格
     */
    NBSP("&nbsp;", ""),
    /**
     * 半角空格
     */
    ENSP("&ensp;", ""),
    /**
     * 全角空格
     */
    EMSP("&emsp;", ""),
    /**
     * 窄空格
     */
    THINSP("&thinsp;", ""),
    /**
     * 零宽不连字
     */
    ZWNJ("&zwnj;", ""),
    /**
     * 零宽连字
     */
    ZWJ("&zwj;", "");

    private final String name;
    private final String value;

    HtmlSpaceEnum(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public String getName(){
        return name;
    }

    public String getValue() {
        return value;
    }
}
